[arch-commits] Commit in ttf-dejavu/repos (5 files)

Alexander Fehr alexanderf at archlinux.org
Wed Jul 30 21:08:35 EDT 2008


    Date: Wednesday, July 30, 2008 @ 21:08:35
  Author: alexanderf
Revision: 7357

Merged revisions 1801-7356 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/ttf-dejavu/trunk

........
  r7355 | alexanderf | 2008-07-31 03:03:53 +0200 (Do, 31 Jul 2008) | 1 line
  
  upgpkg: ttf-dejavu 2.26-1
........

Added:
  ttf-dejavu/repos/extra-x86_64/ChangeLog
    (from rev 7355, ttf-dejavu/trunk/ChangeLog)
  ttf-dejavu/repos/extra-x86_64/ttf-dejavu.install
    (from rev 7355, ttf-dejavu/trunk/ttf-dejavu.install)
Modified:
  ttf-dejavu/repos/extra-x86_64/	(properties)
  ttf-dejavu/repos/extra-x86_64/PKGBUILD
Deleted:
  ttf-dejavu/repos/extra-x86_64/ttf.install

--------------------+
 ChangeLog          |    9 +++++++++
 PKGBUILD           |   27 ++++++++++++++-------------
 ttf-dejavu.install |   13 +++++++++++++
 ttf.install        |   20 --------------------
 4 files changed, 36 insertions(+), 33 deletions(-)


Property changes on: ttf-dejavu/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /ttf-dejavu/trunk:1-1800
   + /ttf-dejavu/trunk:1-7356

Copied: ttf-dejavu/repos/extra-x86_64/ChangeLog (from rev 7355, ttf-dejavu/trunk/ChangeLog)
===================================================================
--- extra-x86_64/ChangeLog	                        (rev 0)
+++ extra-x86_64/ChangeLog	2008-07-31 01:08:35 UTC (rev 7357)
@@ -0,0 +1,9 @@
+2008-07-29  Alexander Fehr  <pizzapunk gmail com>
+
+  * ttf-dejavu-2.26-1:
+  New upstream release.
+  New maintainer.
+  Renamed ttf.install to ttf-dejavu.install.
+  Added -s option to fc-cache in install file.
+  Removed install message.
+  Added ChangeLog.

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-31 01:07:11 UTC (rev 7356)
+++ extra-x86_64/PKGBUILD	2008-07-31 01:08:35 UTC (rev 7357)
@@ -1,24 +1,25 @@
 # $Id$
-# Maintainer: Alexander Baldeck <alexander at archlinux.org>
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 # Contributor: Michal Krenek <mikos at sg1.cz>
 
 pkgname=ttf-dejavu
-pkgver=2.25
+pkgver=2.26
 pkgrel=1
-pkgdesc="Font family based on the Bitstream Vera Fonts. Dejavu fonts cover a wider range of characters"
+pkgdesc="Font family based on the Bitstream Vera Fonts with a wider range of characters"
 arch=('i686' 'x86_64')
+url="http://dejavu.sourceforge.net/"
 license=('custom')
-url="http://dejavu.sourceforge.net/"
-depends=('fontconfig' 'xorg-fonts-encodings' 'xorg-font-utils')
-install=ttf.install
-source=(http://downloads.sourceforge.net/sourceforge/dejavu/dejavu-fonts-ttf-${pkgver}.tar.bz2)
-md5sums=('1fffcc935fbb244caf5b027de1ab50aa')
+depends=('fontconfig' 'xorg-fonts-encodings')
+install=ttf-dejavu.install
+source=(http://downloads.sourceforge.net/dejavu/dejavu-fonts-ttf-$pkgver.tar.bz2)
+md5sums=('bff450e8c1b3c9a3f38294ac44d81adc')
 
 build() {
-  cd ${startdir}/src/dejavu-fonts-ttf-${pkgver}
-  mkdir -p ${startdir}/pkg/usr/share/fonts/TTF
-  install -m644 ttf/*.ttf ${startdir}/pkg/usr/share/fonts/TTF/
-  mkdir -p ${startdir}/pkg/usr/share/licenses/${pkgname}
-  install -m644 LICENSE ${startdir}/pkg/usr/share/licenses/${pkgname}/
+  cd "$srcdir/dejavu-fonts-ttf-$pkgver"
+
+  mkdir -p "$pkgdir/usr/share/fonts/TTF" || return 1
+  install -m644 ttf/*.ttf "$pkgdir/usr/share/fonts/TTF" || return 1
+
+  install -D -m644 LICENSE "$pkgdir/usr/share/licenses/ttf-dejavu/LICENSE" || return 1
 }

Copied: ttf-dejavu/repos/extra-x86_64/ttf-dejavu.install (from rev 7355, ttf-dejavu/trunk/ttf-dejavu.install)
===================================================================
--- extra-x86_64/ttf-dejavu.install	                        (rev 0)
+++ extra-x86_64/ttf-dejavu.install	2008-07-31 01:08:35 UTC (rev 7357)
@@ -0,0 +1,13 @@
+post_install() {
+  fc-cache -fs
+  mkfontscale usr/share/fonts/TTF
+  mkfontdir usr/share/fonts/TTF
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}

Deleted: extra-x86_64/ttf.install
===================================================================
--- extra-x86_64/ttf.install	2008-07-31 01:07:11 UTC (rev 7356)
+++ extra-x86_64/ttf.install	2008-07-31 01:08:35 UTC (rev 7357)
@@ -1,20 +0,0 @@
-post_install() {
-  echo -n "Updating font cache... "
-  fc-cache -f > /dev/null
-  mkfontscale /usr/share/fonts/TTF
-  mkfontdir /usr/share/fonts/TTF
-  echo "done."
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-post_remove() {
-  post_install $1
-}
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list